πŸ‘¨β€πŸ’» Software Requirements - xFans

xFans architecture requires the below software -

βœ”οΈ NodeJS v12.x - To install, please download NodeJS here

βœ”οΈ MongoDB >=v3.6 - To install, please download MongoDB

βœ”οΈ Redis server >=v2.8 - To install, please download and setup Redis

βœ”οΈ FFMPEG

βœ”οΈ Nginx >= v1.3

βœ”οΈ PM2 is a daemon process manager to help you manage and keep your application online 24/7

βœ”οΈ Yarn or npm to manage NodeJS package

Ensure all the software listed alongside are running before setting up the source code.